# Identities ## Get a list of identities - [GET /identities](https://docs.ripple.com/products/payments-direct/api-docs/pii-service/pii-service/identities/getidentities.md): Get a list of identities that match the query parameters. Note: Depending on the number of identities in your account, not all of them may be returned even if they match your query parameters. ## Create a new identity - [POST /identities](https://docs.ripple.com/products/payments-direct/api-docs/pii-service/pii-service/identities/createidentity.md): Create a new identity. Tutorials * Learn how to Create an identity. * Learn how to Work with the piiData object. ## Get an identity by ID - [GET /identities/{identity-id}](https://docs.ripple.com/products/payments-direct/api-docs/pii-service/pii-service/identities/getidentitybyid.md): Get an identity by its unique ID ## Update an identity - [PUT /identities/{identity-id}](https://docs.ripple.com/products/payments-direct/api-docs/pii-service/pii-service/identities/updateidentity.md): Update an existing identity ## Update a State (Internal) - [PATCH /identities/{identity-id}](https://docs.ripple.com/products/payments-direct/api-docs/pii-service/pii-service/identities/updatestate.md): Update an existing identity (Internal) ## Delete an identity - [DELETE /identities/{identity-id}](https://docs.ripple.com/products/payments-direct/api-docs/pii-service/pii-service/identities/deactivateidentity.md): Delete an identity ## Activate an Identity - [POST /identities/{identity-id}/activate](https://docs.ripple.com/products/payments-direct/api-docs/pii-service/pii-service/identities/activateidentity.md): Activate an Identity ## Block an Identity - [POST /identities/{identity-id}/block](https://docs.ripple.com/products/payments-direct/api-docs/pii-service/pii-service/identities/blockidentity.md): Block an Identity